
package com.tmerclub.cloud.im.vo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/8/15
 */
public class MessageInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 发往id
     */
    private Long toId;

    /**
     * 客服消息类型 1.发送给平台 2.发送给商家
     */
    private Integer sendType;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息类型
     */
    private Integer msgType;

    /**
     * 可转接客服列表
     */
    private Boolean employeeList;

    /**
     * 可转接客服列表
     */
    private Boolean platformUserList;

    /**
     * 是否转接客服
     */
    private Boolean changeTo;

    /**
     * 转接客服id
     */
    private Long employeeId;

    /**
     * 转接客服id
     */
    private Long platformUserId;

    /**
     * 是否已读
     */
    private Boolean read;

    /**
     * 已读消息id
     */
    private List<Long> msgIds;

    /**
     * 已读通知客服id
     */
    private Long readNoticeEmployeeId;

    /**
     * 已读通知客服id
     */
    private Long readNoticePlatformUserId;

    /**
     * 是否查看历史
     */
    private Boolean history;

    /**
     * 消息历史每页大小
     */
    private Integer size;

    /**
     * 消息历史第几页
     */
    private Integer current;

    private Boolean onlineOrOffline;

    public Long getToId() {
        return toId;
    }

    public void setToId(Long toId) {
        this.toId = toId;
    }

    public Integer getSendType() {
        return sendType;
    }

    public void setSendType(Integer sendType) {
        this.sendType = sendType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getMsgType() {
        return msgType;
    }

    public void setMsgType(Integer msgType) {
        this.msgType = msgType;
    }

    public Boolean getEmployeeList() {
        return employeeList;
    }

    public void setEmployeeList(Boolean employeeList) {
        this.employeeList = employeeList;
    }

    public Boolean getPlatformUserList() {
        return platformUserList;
    }

    public void setPlatformUserList(Boolean platformUserList) {
        this.platformUserList = platformUserList;
    }

    public Boolean getChangeTo() {
        return changeTo;
    }

    public void setChangeTo(Boolean changeTo) {
        this.changeTo = changeTo;
    }

    public Long getEmployeeId() {
        return employeeId;
    }

    public void setEmployeeId(Long employeeId) {
        this.employeeId = employeeId;
    }

    public Long getPlatformUserId() {
        return platformUserId;
    }

    public void setPlatformUserId(Long platformUserId) {
        this.platformUserId = platformUserId;
    }

    public Boolean getRead() {
        return read;
    }

    public void setRead(Boolean read) {
        this.read = read;
    }

    public List<Long> getMsgIds() {
        return msgIds;
    }

    public void setMsgIds(List<Long> msgIds) {
        this.msgIds = msgIds;
    }

    public Long getReadNoticeEmployeeId() {
        return readNoticeEmployeeId;
    }

    public void setReadNoticeEmployeeId(Long readNoticeEmployeeId) {
        this.readNoticeEmployeeId = readNoticeEmployeeId;
    }

    public Long getReadNoticePlatformUserId() {
        return readNoticePlatformUserId;
    }

    public void setReadNoticePlatformUserId(Long readNoticePlatformUserId) {
        this.readNoticePlatformUserId = readNoticePlatformUserId;
    }

    public Boolean getHistory() {
        return history;
    }

    public void setHistory(Boolean history) {
        this.history = history;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getCurrent() {
        return current;
    }

    public void setCurrent(Integer current) {
        this.current = current;
    }

    public Boolean getOnlineOrOffline() {
        return onlineOrOffline;
    }

    public void setOnlineOrOffline(Boolean onlineOrOffline) {
        this.onlineOrOffline = onlineOrOffline;
    }

    @Override
    public String toString() {
        return "MessageInfoVO{" +
                "toId='" + toId + '\'' +
                ", sendType=" + sendType +
                ", content='" + content + '\'' +
                ", msgType=" + msgType +
                ", employeeList=" + employeeList +
                ", platformUserList=" + platformUserList +
                ", changeTo=" + changeTo +
                ", employeeId=" + employeeId +
                ", platformUserId=" + platformUserId +
                ", read=" + read +
                ", msgIds=" + msgIds +
                ", readNoticeEmployeeId=" + readNoticeEmployeeId +
                ", readNoticePlatformUserId=" + readNoticePlatformUserId +
                ", history=" + history +
                ", size=" + size +
                ", current=" + current +
                ", onlineOrOffline=" + onlineOrOffline +
                '}';
    }
}
